Skip to main content
GET
/
api
/
v1
/
projects
/
{projectId}
/
identities
cURL
curl --request GET \
  --url https://us.infisical.com/api/v1/projects/{projectId}/identities \
  --header 'Authorization: Bearer <token>'
{
  "identities": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "projectId": "<string>",
      "hasDeleteProtection": false,
      "activeLockoutAuthMethods": [
        "<string>"
      ],
      "authMethods": [
        "<string>"
      ],
      "metadata": [
        {
          "key": "<string>",
          "value": "<string>",
          "id": "<string>"
        }
      ]
    }
  ],
  "totalCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

projectId
string
required

The ID of the project

Query Parameters

offset
number
default:0

The offset to start from. If you enter 10, it will start from the 10th identity.

Required range: x >= 0
limit
number
default:20

The number of identities to return.

Required range: 1 <= x <= 1000

The text string that identity names will be filtered by.

Response

Default Response

identities
object[]
required
totalCount
number
required